<template>
  <v-card
      class="mx-auto"
      style="max-width: 500px;"
  >
    <v-toolbar
        color="deep-purple accent-4"
        cards
        dark
        flat
    >
      <h1 class="text-h6 font-weight-regular px-3">
        Profile
      </h1>
    </v-toolbar>
    <v-form
        ref="form"
        v-model="form"
        class="pa-4 pt-6"
    >
      <v-text-field
          v-model="email"
          :rules="[rules.email]"
          filled
          color="deep-purple"
          label="Email address"
          type="email"
      ></v-text-field>
      <v-text-field
          v-model="password"
          :rules="[rules.password, rules.length(6)]"
          filled
          color="deep-purple"
          counter="6"
          label="Password"
          style="min-height: 96px"
          type="password"
      ></v-text-field>
      <v-text-field
          v-model="phone"
          filled
          color="deep-purple"
          label="Phone number"
      ></v-text-field>
      <v-textarea
          v-model="bio"
          auto-grow
          filled
          color="deep-purple"
          label="Bio"
          rows="1"
      ></v-textarea>
    </v-form>
    <v-divider></v-divider>
    <v-card-actions>
      <v-spacer></v-spacer>
      <v-btn
          :disabled="!form"
          :loading="isLoading"
          class="white--text"
          color="deep-purple accent-4"
          depressed
      >
        Save
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: 'SignUp',
  data: () => ({
    agreement: false,
    bio: 'Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts',
    dialog: false,
    email: undefined,
    form: false,
    isLoading: false,
    password: undefined,
    phone: undefined,
    rules: {
      email: v => !!(v || '').match(/@/) || 'Please enter a valid email',
      length: len => v => (v || '').length >= len || `Invalid character length, required ${len}`,
      password: v => !!(v || '').match(/^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*(_|[^\w])).+$/) ||
          'Password must contain an upper case letter, a numeric character, and a special character',
      required: v => !!v || 'This field is required',
    },
  }),
}
</script>

<style scoped>

</style>